version: "3.8"
services:

  ogr2ogr_gdal_3-8-0:
    image: ghcr.io/osgeo/gdal:ubuntu-full-3.8.0
    command: ogr2ogr -t_srs EPSG:4326 outputs/gdal_3.8.0_ogr2ogr_blaskets.shp /test_data/29902_blaskets_polygon.shp
    volumes:
      - type: bind
        source: ./test_data
        target: /test_data
        bind:
          propagation: shared
      - type: bind
        source: ./outputs/
        target: /outputs
        bind:
          propagation: shared

  gdalwarp_gdal_3-8-0:
    image: ghcr.io/osgeo/gdal:ubuntu-full-3.8.0
    command: gdalwarp -t_srs EPSG:4326 -tr 0.000045 0.000045 -tap -overwrite /test_data/29902_blaskets_rasterized.tif outputs/gdal_3.8.0_gdalwarp_blaskets.tif
    volumes:
      - type: bind
        source: ./test_data
        target: /test_data
        bind:
          propagation: shared
      - type: bind
        source: ./outputs/
        target: /outputs
        bind:
          propagation: shared

  ogr2ogr_gdal_3-5-1:
    image: ghcr.io/osgeo/gdal:ubuntu-full-3.5.1
    command: ogr2ogr -t_srs EPSG:4326 outputs/gdal_3.5.1_ogr2ogr_blaskets.shp /test_data/29902_blaskets_polygon.shp
    volumes:
      - type: bind
        source: ./test_data
        target: /test_data
        bind:
          propagation: shared
      - type: bind
        source: ./outputs/
        target: /outputs
        bind:
          propagation: shared

  gdalwarp_gdal_3-5-2:
    image: ghcr.io/osgeo/gdal:ubuntu-full-3.5.1
    command: gdalwarp -t_srs EPSG:4326 -tr 0.000045 0.000045 -tap -overwrite /test_data/29902_blaskets_rasterized.tif outputs/gdal_3.5.1_gdalwarp_blaskets.tif
    volumes:
      - type: bind
        source: ./test_data
        target: /test_data
        bind:
          propagation: shared
      - type: bind
        source: ./outputs/
        target: /outputs
        bind:
          propagation: shared
